Subject: [manet] Strawman interim charter/milestone update

From: Joe Macker <[email-masked]>
Date: Fri, 24 Jan 2003 10:46:20 -0500

All:

Given the rough consensus perceived from the last meeting and from mailing list feedback I believe we have agreement on the way forward (see Corson Dec 2 request for comment on this subject)..I have compiled new strawman text for an interim charter/milestone update.  This will be discussed with the IESG the first week of February. Obviously this is only an interim charter until we formulate consensus on the problem statement and scope of further work.  Please read the Atlanta meeting minutes if you are confused.

-Joe
-------------------------------------------------------------------------------

Description of Working Group:

The purpose of this working group is to standardize IP routing protocol functionality suitable for wireless routing application within both static and dynamic topologies.  The fundamental design issues are that the wireless link interfaces have some unique routing interface characteristics and that node topologies within a wireless routing region may experience increased dynamics, due to motion or other factors.

In the past, this WG has focused on exploring a broad range of MANET problems, performance issues, and related candidate protocols. Under this revised charter, the WG will operate under a reduced scope by targeting the promotion of a number of core routing protocol specifications to EXPERIMENTAL RFC status (i.e., AODV, DSR, OLSR and TBRPF). Some maturity of understanding and implementation exists with each of these protocols, yet more operational experimentation experience is seen as desirable.  Overall, these protocols provide a basic set of MANET capabilities covering both reactive and proactive design spaces.

With this experimental protocol base established, the WG will move on to design and develop MANET common group engineered routing specification(s) and introduce these to the Internet Standards track.  Lessons learned from existing proposals will provide useful design input, but the target for this effort is a common group engineering effort not a recompilation of an existing approaches.

This working group will work closely with the Internet Research Task Force (IRTF) groups on Mobile Ad Hoc Networks (RRG) for tracking and considering any mature developments from the related research community. 

Goals and Milestones:

Done: Submit I-D of MANET Design Considerations
Done: Produce Informational RFC on Manet Design Considerations
Done: Submit I-D(s) of Proposed Protocols
Done: Explore basic performance and implementation issues of various approaches
Done: Promote implementations and testing of proposed I-D(s)
Done: Update I-D(s) based upon initial design experiences

JAN 2003: Submit AODV specification to IESG for publication as an Experimental RFC 
JAN 2003: Submit DSR specification to IESG for publication as an Experimental RFC
MAR 2003: Submit OLSR specification to IESG for publication as an Experimental RFC
MAR 2003: Submit TBRPF specification to IESG for publication as an Experimental RFC

JUN 2003: Develop a further focused problem statement and address an approach for a common engineering work effort

NOV 2003: Reevaluate the WG's potential based on the problem statement consensus

Active Internet-Drafts (planned):

Ad Hoc On Demand Distance Vector (AODV) Routing
</internet-drafts/draft-ietf-manet-aodv-12.txt>
The Dynamic Source Routing (DSR) Protocol for Mobile Ad Hoc Networks
</internet-drafts/draft-ietf-manet-dsr-07.txt>
Optimized Link State Routing Protocol (OLSR)
</internet-drafts/draft-ietf-manet-olsr-06.txt>
Topology Broadcast based on Reverse-Path Forwarding (TBRPF)
</internet-drafts/draft-ietf-manet-tbrpf-06.txt>

Request For Comments:

Mobile Ad hoc Networking (MANET): Routing Protocol Performance Issues and
Evaluation Considerations (RFC 2501) </rfc/rfc2501.txt>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet